Subject: [PATCH 0/2] Display 1 line instead of 3 for each substitute download

From: Ludovic Courtès <[email-masked]>
Date: Sun, 21 Mar 2021 17:33:57 +0100

Hi!

This change brings the number of lines printed for each substitute
from 3 lines to 1, when using ‘-v1’:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build -v1 vim-full poezio elixir ocaml  --no-grafts
84.9 MB will be downloaded
 elixir-1.11.4  3.7MiB                               6.8MiB/s 00:01 [##################] 100.0%
 ocaml-4.11.1  147.1MiB                             19.7MiB/s 00:07 [##################] 100.0%
 poezio-0.13.1  967KiB                               7.0MiB/s 00:00 [##################] 100.0%
 vim-full-8.2.2632                                         9.9MiB/s 00:01 | 12.7MiB transferred
--8<---------------cut here---------------end--------------->8---

‘-v2’ gives the equivalent of the current ‘-v1’, and ‘-v3’ gives
the equivalent of the current ‘-v2’ (full build output).

This change has been suggested multiple times in the past.  I guess
I was gently preventing it on the grounds that I like to see which
substitute server I’m fetching from and whether it’s gzip/lzip/zstd.

But let’s face it: not everyone is interested in those details, even
I don’t care at time.  ;-)  It took me a while to realize, but I keep
learning!

Thoughts?

Ludo’.

Ludovic Courtès (2):
  substitute: Emit a single newline upon completion.
  status: Don't display download URLs for '--verbosity=1'.

 doc/guix.texi               |  7 ++++---
 guix/scripts/substitute.scm |  7 +++++--
 guix/status.scm             | 23 +++++++++++++++++++----
 3 files changed, 28 insertions(+), 9 deletions(-)

-- 
2.31.0